View Issue Details

IDProjectCategoryView StatusLast Update
0032827Open CASCADEOCCT:Configurationpublic2022-04-04 21:22
Reporterkgv Assigned Tokgv  
PrioritynormalSeveritytrivial 
Status verifiedResolutionfixed 
Product Version7.7.0 
Target Version7.7.0 
Summary0032827: Configuration - compilation error on Emscripten SDK
DescriptionWebAssembly compilation fails:
em++: warning: linker flag ignored during compilation: '--bind' [-Wunused-command-line-argument]
C:\occt.git\src\DRAWEXE\DRAWEXE.cxx:285:10: error: unknown type name 'Message_PrinterSystemLog'; did you mean 'Message_PrinterOStream'?
  Handle(Message_PrinterSystemLog) aJSConsolePrinter = new Message_PrinterSystemLog ("DRAWEXE", aGravity);
         ^~~~~~~~~~~~~~~~~~~~~~~~
         Message_PrinterOStream
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberN/A

Relationships

child of 0032806 verifiedaml Open CASCADE Coding - get rid of unused headers [Contap to Extrema] 

Activities

git

2022-02-10 00:49

administrator   ~0106837

Branch CR32827 has been created by kgv.

SHA-1: ae18f27a595783166d8e3cf126b3b89368d30567


Detailed log of new commits:

Author: kgv
Date: Thu Feb 10 00:48:57 2022 +0300

    0032827: Configuration - compilation error on Emscripten SDK

kgv

2022-02-10 00:50

developer   ~0106838

Please raise
- OCCT: branch CR32827.

smoskvin

2022-02-12 13:25

administrator   ~0106863

Combination -
OCCT branch : IR-2022-02-11
master SHA - 3d21fe1aeeee8d1aefdf6ff03aab1dca4ae4b310
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2022-02-11 SHA - 07f1dd65fb2caba3011759dfd7ab39455b488602
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18542.53000000038 / 18611.910000000662 [-0.37%]
Products
Total CPU difference: 11696.46000000009 / 11726.350000000115 [-0.25%]
Windows-64-VC14:
OCCT
Total CPU difference: 20386.203125 / 20337.953125 [+0.24%]
Products
Total CPU difference: 13150.375 / 13174.703125 [-0.18%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2022-04-04 21:22

administrator   ~0107607

Branch CR32827 has been deleted by kgv.

SHA-1: ae18f27a595783166d8e3cf126b3b89368d30567

Related Changesets

occt: master 3d21fe1a

2022-02-10 00:48:57

kgv


Committer: smoskvin Details Diff
0032827: Configuration - compilation error on Emscripten SDK Affected Issues
0032827
mod - src/DRAWEXE/DRAWEXE.cxx Diff File

Issue History

Date Modified Username Field Change
2022-02-10 00:48 kgv New Issue
2022-02-10 00:48 kgv Assigned To => bugmaster
2022-02-10 00:49 git Note Added: 0106837
2022-02-10 00:49 kgv Relationship added child of 0032806
2022-02-10 00:50 kgv Severity minor => trivial
2022-02-10 00:50 kgv Status new => resolved
2022-02-10 00:50 kgv Test case number => N/A
2022-02-10 00:50 kgv Note Added: 0106838
2022-02-10 00:50 kgv Status resolved => reviewed
2022-02-12 13:25 smoskvin Status reviewed => tested
2022-02-12 13:25 smoskvin Note Added: 0106863
2022-02-12 20:14 smoskvin Changeset attached => occt master 3d21fe1a
2022-02-12 20:14 kgv Assigned To bugmaster => kgv
2022-02-12 20:14 kgv Status tested => verified
2022-02-12 20:14 kgv Resolution open => fixed
2022-04-04 21:22 git Note Added: 0107607